# GoogleChartAxisType Class Reference

Inheritance diagram for GoogleChartAxisType:
[legend]

List of all members.

## Public Member Functions

| toString ()

## Static Public Member Functions

static | getParamName ()

## Public Attributes

const | X = 0x1
const | Y = 0x2
const | R = 0x3

## Protected Attributes

| $names

## Static Private Attributes

static | $paramName = 'chxt'

## Detailed Description

Definition at line 15 of file GoogleChartAxisType.class.php.

## Member Function Documentation

static GoogleChartAxisType::getParamName | ( |  | ) | `[static]`

Definition at line 29 of file GoogleChartAxisType.class.php.

Referenced by GoogleChartAxisCollection::toString().

GoogleChartAxisType::toString | ( |  | ) |

Reimplemented from Enumeration.

Definition at line 34 of file GoogleChartAxisType.class.php.

## Member Data Documentation

GoogleChartAxisType::$names`[protected]`

Initial value:

     array(
                self::X => 'x',
                self::Y => 'y',
                self::R => 'r'
            )

Reimplemented from Enumeration.

Definition at line 21 of file GoogleChartAxisType.class.php.

GoogleChartAxisType::$paramName = 'chxt'`[static, private]`

Definition at line 27 of file GoogleChartAxisType.class.php.

const GoogleChartAxisType::R = 0x3

Definition at line 19 of file GoogleChartAxisType.class.php.

const GoogleChartAxisType::X = 0x1

Definition at line 17 of file GoogleChartAxisType.class.php.

Referenced by GoogleGridedLineChart::createDefault().

const GoogleChartAxisType::Y = 0x2

Definition at line 18 of file GoogleChartAxisType.class.php.

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleChartAxisType.class.php